#include <MobaTools.h>
#include <SoftwareSerial.h>
SoftwareSerial nextion(6, 5); // RX, TX
String endChar = String(char(0xff)) + String(char(0xff)) + String(char(0xff));
String daten_display = "";

const int STEPS1_UMDREHUNG = 800;
//Stepper einrichten ( 800 Schritte / Umdrehung - 1/4 Microstep )
MoToStepper myStepper1( STEPS1_UMDREHUNG, STEPDIR );
const byte dir1Pin = 4;
const byte step1Pin = 7;
const byte enaPin = 8;

int vspeed = 200;                 //Steppergeschwindigkeit in U/min*10
int ledDelay = 0;
int led = 11;

void setup(){
  nextion.begin(9600);
 Serial.begin(115200); while (!Serial);
  myStepper1.attach( step1Pin, dir1Pin );
  myStepper1.attachEnable( enaPin, 10, LOW );        // Enable Pin aktivieren ( LOW=aktiv )
  myStepper1.setSpeed( 200 );
  myStepper1.setRampLen( 0 );                       // Rampenlänge 100 Steps bei 20U/min
  pinMode(led, OUTPUT);
}

void loop() {
  if (nextion.available()) {
    NextionInput();
  }
  analogWrite(led, ledDelay);
  myStepper1.setSpeed(vspeed);
  myStepper1.rotate(1);

  if (daten_display.endsWith(endChar)) {
    Serial.println(daten_display);
    Serial.println("error");
    daten_display = "";
  }
}
